'use server'
import prisma  from "@/lib/db"

export async function createUser(nom : string, prenom : string, email : string){
    try{
        const result = await prisma.utilisateur.create(){
            data: {
                ut_nom : nom?,
                ut_prenom : prenom?,
                ut_mail : email?
            }
        }
        if(!result ){
            return ({success : false})
        }
        return ({success : true, id : result.ut_id})
    }catch(error){
        return{success : false, error : error instanceof Error ? error.message : 'An unknown error occured'}
    }

}